import { ICancellable } from '../cancellables/ICancellable';
import { IExecutable } from '../internals/IExecutable';
import { IScheduler } from './IScheduler';
export declare class Scheduler implements IScheduler {
    private cb;
    private isFlushing;
    private queue;
    private currentTime;
    constructor(cb: (cb: () => void) => void);
    /**
     * Compared to Promise.resolve() asap is a little better —
     * 1. This mimics the exact same behavior of Promise.resolve()
     * 2. It enables efficient cancellation of jobs.
     */
    asap(job: IExecutable): ICancellable;
    /**
     * Some sugar over the native setTimeout() functionality
     */
    delay(job: IExecutable, duration: number): ICancellable;
    now(): number;
    private onFlush;
    private flush;
}
