import { ICancellable } from '../cancellables/ICancellable';
import { IExecutable } from '../internals/IExecutable';
import { IScheduler } from './IScheduler';
/**
 * Thrown when run() is called twice during the same loop.
 */
export declare const ForbiddenNestedRun: import("checked-exceptions/src/internals/checkedExceptionClass").CheckedExceptionClass<"ForbiddenNestedRun", void>;
export declare type TestSchedulerOptions = {
    bailout: number;
};
/**
 * 1. The scheduler runs based on "ticks"
 * 2. A special value called "nextTick" is maintained.
 * 3. nextTick is increased when everything for the current tick is completed.
 * 4. Asap uses nextTick to schedule work.
 */
export declare class TestScheduler implements IScheduler {
    nextTick: number;
    private time;
    private Q;
    private jobCount;
    private isRunning;
    private options;
    constructor(options: Partial<TestSchedulerOptions>);
    asap(job: IExecutable): ICancellable;
    delay(job: IExecutable, duration: number): ICancellable;
    now(): number;
    run(): void;
    runTo(n: number): void;
    runBy(n: number): void;
    private tick;
    private getList;
    private insert;
    private flush;
}
